/*==================== MISC ====================*/
//buttons syling
.mat-button {
  font-family: hci-font !important;
  font-size: 14px;
  font-weight: 500;
}
//affects height of home page
.mat-sidenav-container.ri {
  height: inherit;
}
//used: forms, navbar, search
input, select, textarea {
  color: var(--black-darkest) !important;
}
  //cb-card-subbody: text
  pre {
    color: var(--black-darkest);
    font-family: hci-font;
    font-size: 0.875rem;
    margin-bottom: 0.3em;
  }
/*====================Primary banner ( navbar )====================*/
.theme-core-default .navbar{
  background-color: var(--bluewarm-medlight) !important;
  color: var(--bluewarm-dark) !important;
  border-bottom: none !important;
  box-shadow: 2px 0px 2px var(--greycool-darkest) !important;
}
//primary banner: search
.study-search.dropdown button {
  background: linear-gradient(0deg,var(--bluewarm-dark) 0%, var(--bluewarm-meddark) 100%) !important;
  border: none;
  display: flex;
  align-items: center;
  font-size: 0.875rem;
  font-weight: 500;
}
//primary banner: dropdown
.theme-core-default .dropdown-menu{
  background-color: var(--greywarm-lightest);
  color: var(--white-lightest) !important;
  padding: 0.5rem 0.7rem 0.5rem 0.5rem !important;
  margin-top: -0.1rem !important;
}
.form-control:focus{
  background: var(--white-lightest);
  border-color: var(--pure-purple-medium) !important;
  box-shadow: 0 0 0 0.1rem var(--pure-purple-light) !important;
}
.study-list-item {
  color: var(--black-darkest);
  font-size: 0.875rem;
  padding: 0.2em 0 0.1em 0;
  &:hover {
    background-color: var(--bluewarmvividfade-medlight);
    color: var(--black-darkest);
  }
  &:active {
    background-color: var(--bluewarmvivid-lightest);
    color: var(--white-lightest);
    font-weight: 600;
  }
}
  .input-group-text {
    border-radius: 0.4rem 0 0 0.4rem;
    padding: .375rem .5rem .25rem .5rem !important;
  }
/*=================== Side Navbar ======================================*/
.theme-core-default hci-search-tree-controller {
  background: linear-gradient(180deg,var(--greywarm-darker) 30%,var(--greywarm-medium) 100%);
  color: var(--bluewarm-lightest)!important;
  box-shadow: 0px 0.52px 0.52px var(--greycool-darkest);
  opacity: 1;
  font-size: 1rem !important;
  font-weight: 300;
  line-height: 1.75;
  padding: 0.2em 0.5em 0.5em 0.5em;
}
.hci-sidebar .bottom-of-sidebar {
  background-color: transparent !important;
}
//side navbar: banner title padding
.pl-2,
.px-2 {
  padding-left: 0.1rem !important;
}
//side navbar: banner search
hci-search-tree-controller .global-search {
  background-color: var(--white-lightest);
  border-radius: 0.3rem !important;
}
//side navbar: body text
hci-search-tree .angular-tree-component tree-node {
  color: var(--black-darkest);
  font-size: 0.8rem !important;
  font-weight: 400;
}
.hci-sidebar span {
  padding: 0 .2em 0 .5em !important;
}
.node-wrapper {
  align-items: center !important;
}
.theme-core-default hci-search-tree .node-content-wrapper-active {
  font-weight: 500;
}
//side navbar: children
.tree-children {
  padding: 0 !important;
  margin: 0 0 0 15px;
}
.toggle-children-placeholder{
  margin-right: 13px;
}
//side navbar: icons
hci-search-tree .angular-tree-component tree-node svg {
  color: var(--bluewarm-dark);
}

hci-search-tree .angular-tree-component tree-node .bi {
  color: var(--bluewarm-dark);
}

hci-search-tree .angular-tree-component tree-node .node-content-wrapper-active svg {
  color: var(--white-lightest);
}

hci-search-tree .angular-tree-component tree-node .node-content-wrapper-active .bi {
  color: var(--white-lightest);
}
/*=================== Object Explorer Grid ======================================*/
//grid spacing
.ag-theme-alpine .ag-row {
  font-size: 0.8rem;
}
.ag-theme-alpine .ag-cell{
  padding-left: 1em;
}
.ag-theme-alpine .ag-ltr .ag-group-contracted {
  margin: 0 0.5em 0 0;
}
.ag-theme-alpine .ag-ltr .ag-group-expanded{
  margin: 0 0.5em 0 0;
}
.ag-theme-alpine .ag-ltr .ag-row-group-leaf-indent {
  margin-left: 0.2em;
}
  /* ==================== Menus ================================*/
/*===== Hamburger ======================== */
.sidenav-container {
  position: absolute;
  top: 0;
  bottom: 0;
  left: 0;
  right: 0;
  height: 100%;
}
.mat-sidenav.ri {
  background: linear-gradient(180deg,var(--greywarm-darker) 30%,var(--greywarm-medium) 100%);
  color: var(--white-lightest);
  min-width: 12.5rem;
}
//hamburger: body
.mat-list-base .mat-list-item.ri {
  color: var(--white-lightest);
  font-family: hci-font;
  font-size: 0.875rem;
  font-weight: 400;
  display: flex;
  align-items: center;
  &:hover {
    background-color: var(--greywarm-dark) !important;
    font-weight: 700;
  }
  &:active {
    background-color: var(--bluewarmvivid-lightest) !important;
    font-weight: 700;
  }
}
.mat-list-base .mat-subheader {
  color: var(--white-lightest) !important;
}
.mat-list-item-disabled {
  background-color: inherit !important;
  color: var(--greywarm-meddark) !important;
  font-weight: 300 !important;
}
//hamburger sub-category
.mat-expansion-panel {
  background: transparent !important;
  box-shadow: none !important;
  min-width: 12.5rem;
}
.mat-expansion-panel-header {
  padding: 0 1rem !important;
  &:hover {
    background-color: var(--greywarm-meddark) !important;
    font-weight: 700;
  }
}
.mat-drawer-backdrop.mat-drawer-shown {
  background: var(--greywarm-dark);
}
.mat-expansion-panel-header.mat-expanded {
  background-color: var(--bluewarmvivid-lightest) !important;
  font-weight: 700;
  height: 48px;
}
.mat-expansion-panel-header-title {
  color: var(--white-lightest) !important;
  font-family: hci-font;
  font-size: 0.875rem;
  align-items: center;
}
.mat-expansion-panel-body {
  padding: 0 0 0 1rem !important;
}
.mat-expansion-panel-content{
  font-family: hci-font !important;
}
/* ==================== Angular ================================*/
//body
.ag-theme-balham, .ag-theme-alpine {
  font-family: hci-font;
  font-size: 0.73rem;
}

/*==== cb card =========================*/
.cb-card {
  background: linear-gradient(0deg, var(--white-lightest) 30%, var(--bluewarmvividfade-lighter) 100%);
  border: 0.1px solid var(--greycool-dark);
  box-shadow: 0 2px 2px var(--greycool-medium);
  border-radius: 0.3rem;
  opacity: 1;
  overflow: hidden;
  display: flex;
  flex-direction: column;
  flex-grow: 1;
  height: 100%;
  width: 100%;
  margin: 0;
}
.cb-card-header {
  background: transparent;
  color: var(--bluewarm-darker);
  border-bottom: solid 1px var(--white-lightest);
  border-radius: 0.3rem 0.3rem 0 0;
  font-size: .93rem;
  font-weight: 600;
  align-items: center;
  display: flex;
  flex-direction: row;
  width: 100%;
}
.cb-card-body {
  color: var(--black-darkest);
  border-radius: 0 0 0.3rem 0.3rem;
  font-size: 0.8rem;
  word-wrap: break-word;
  overflow: auto;
  display: flex;
  flex-direction: column;
  flex-grow: 1;
  height: 100%;
  width: 100%;
  padding: 0;
}

/*==== cb-card-body (card in card) ================*/
  .cb-card-sub {
    background: var(--white-lightest);
    border: 0.1px solid var(--greycool-dark);
    box-shadow: 0 2px 2px var(--greycool-medium);
    border-radius: 0.3rem;
    opacity: 1;
    display: flex;
    flex-direction: column;
    margin: 0.1em 0.3em;
  }
  .cb-card-subheader {
    background: linear-gradient(90deg, var(--white-lightest) 0%, var(--grey-lightest) 100%);
    color: var(--bluewarmvivid-dark);
    border-bottom: solid 1px var(--white-lightest);
    border-radius: 0.3rem 0.3rem 0 0;
    opacity: 1;
    line-height: .9rem;
    font-size: .875rem;
    font-weight: 400;
    align-items: center;
    display: flex;
    flex-direction: row;
    flex-wrap: nowrap;
    padding: 0.2em 0.1em;
  }

